from botanio import botan


class Botan():
    def __init__(self, botan_token):
        self.botan_token = botan_token

    def track(self, message, event_name):
        if self.botan_token == '':
            return

        uid = message.from_user
        message_dict = message.to_dict()

        botan.track(self.botan_token, uid, message_dict, event_name)

    def get_shorten_url(self, original_url, user_id):
        botan.shorten_url(original_url, self.botan_token, user_id)